Results 1 to 6 of 6

Thread: Error while installing vlc

  1. #1
    Junior Member
    Join Date
    Sep 2016
    Posts
    12

    Error while installing vlc

    Hello there,
    I am using Lenovo y50 with dual boot with win 10 and kali linux(64 bit).I am running kali linux latest edition 2017.1.

    Code:
    uname -a
    
    Linux abhi 4.9.0-kali4-amd64 #1 SMP Debian 4.9.30-2kali1 (2017-06-22) x86_64 GNU/Linux
    In order to do clean reinstall of vlc i accidentally deleted some of its file. When i tried to do reinstall the vlc i got the following error:

    Code:
    sudo apt-get install vlc
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following NEW packages will be installed:
      vlc
    0 upgraded, 1 newly installed, 0 to remove and 16 not upgraded.
    Need to get 0 B/136 kB of archives.
    After this operation, 220 kB of additional disk space will be used.
    Selecting previously unselected package vlc.
    dpkg: warning: files list file for package 'libvlc5:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-samba:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'phonon4qt5-backend-vlc:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlccore8:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-qt:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-l10n' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-video-output:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlc-bin:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-video-splitter:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-skins2:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-visualization:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-notify:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-base:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-bin' missing; assuming package has no files currently installed
    (Reading database ... 455294 files and directories currently installed.)
    Preparing to unpack .../vlc_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc (2.2.6-3+b1) ...
    Processing triggers for mime-support (3.60) ...
    Processing triggers for desktop-file-utils (0.23-2) ...
    Setting up vlc (2.2.6-3+b1) ...
    Processing triggers for gnome-menus (3.13.3-9) ...
    When i try to run following commands i get the respective output
    Code:
    apt-get install libvlccore8
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    libvlccore8 is already the newest version (2.2.6-3+b1).
    libvlccore8 set to manually installed.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    apt-get install vlc
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    vlc is already the newest version (2.2.6-3+b1).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    vlc
    bash: vlc: command not found
    Whatever i am trying to install it throwing the above warning message but i can able to install and run other programs except vlc.
    How to fix it?Please help?
    Thanks in advance
    Last edited by abhijeet; 2017-08-09 at 08:05 AM. Reason: I thought might be these details make ones to understood exact problem

  2. #2
    Junior Member
    Join Date
    Sep 2016
    Posts
    12
    So i tried some of following command and then reinstalled vlc

    Code:
    sudo rm /var/lib/apt/lists/* -vf
    sudo apt --fix-broken install 
    sudo apt-get update
    Reinstalling vlc this time warning message get reduced
    Code:
    sudo apt-get install vlc
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      vlc-bin vlc-l10n vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2
      vlc-plugin-video-splitter vlc-plugin-visualization
    The following NEW packages will be installed:
      vlc vlc-bin vlc-l10n vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2
      vlc-plugin-video-splitter vlc-plugin-visualization
    0 upgraded, 9 newly installed, 0 to remove and 1 not upgraded.
    Need to get 0 B/7,358 kB of archives.
    After this operation, 43.7 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Selecting previously unselected package vlc-bin.
    dpkg: warning: files list file for package 'libvlc5:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'phonon4qt5-backend-vlc:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlccore8:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-video-output:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlc-bin:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-base:amd64' missing; assuming package has no files currently installed
    (Reading database ... 459677 files and directories currently installed.)
    Preparing to unpack .../0-vlc-bin_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-bin (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-qt:amd64.
    Preparing to unpack .../1-vlc-plugin-qt_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-qt:amd64 (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-l10n.
    Preparing to unpack .../2-vlc-l10n_2.2.6-3_all.deb ...
    Unpacking vlc-l10n (2.2.6-3) ...
    Selecting previously unselected package vlc.
    Preparing to unpack .../3-vlc_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-notify:amd64.
    Preparing to unpack .../4-vlc-plugin-notify_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-notify:amd64 (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-samba:amd64.
    Preparing to unpack .../5-vlc-plugin-samba_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-samba:amd64 (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-skins2:amd64.
    Preparing to unpack .../6-vlc-plugin-skins2_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-skins2:amd64 (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-video-splitter:amd64.
    Preparing to unpack .../7-vlc-plugin-video-splitter_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-video-splitter:amd64 (2.2.6-3+b1) ...
    Selecting previously unselected package vlc-plugin-visualization:amd64.
    Preparing to unpack .../8-vlc-plugin-visualization_2.2.6-3+b1_amd64.deb ...
    Unpacking vlc-plugin-visualization:amd64 (2.2.6-3+b1) ...
    Processing triggers for mime-support (3.60) ...
    Setting up vlc-plugin-samba:amd64 (2.2.6-3+b1) ...
    Processing triggers for desktop-file-utils (0.23-2) ...
    Setting up vlc-plugin-qt:amd64 (2.2.6-3+b1) ...
    Setting up vlc-l10n (2.2.6-3) ...
    Processing triggers for libvlc-bin:amd64 (2.2.6-3+b1) ...
    Setting up vlc-plugin-video-splitter:amd64 (2.2.6-3+b1) ...
    Setting up vlc-plugin-skins2:amd64 (2.2.6-3+b1) ...
    Processing triggers for man-db (2.7.6.1-2) ...
    Setting up vlc-plugin-visualization:amd64 (2.2.6-3+b1) ...
    Processing triggers for gnome-menus (3.13.3-9) ...
    Setting up vlc-plugin-notify:amd64 (2.2.6-3+b1) ...
    Setting up vlc-bin (2.2.6-3+b1) ...
    Setting up vlc (2.2.6-3+b1) ...
    Location of vlc
    Code:
    whereis vlc
    vlc: /usr/bin/vlc /usr/lib/vlc /usr/include/vlc /usr/share/vlc /usr/share/man/man1/vlc.1.gz
    But this time while opening vlc i got the following error

    Code:
    vlc
    
    vlc: error while loading shared libraries: libvlc.so.5: cannot open shared object file: No such file or directory
    I searched everything regarding this issue on net but none worked and also how to remove those warning message?
    Thank you

  3. #3
    Senior Member
    Join Date
    Apr 2013
    Location
    in a computer
    Posts
    652
    I would try apt-get remove vlc, then apt-get install vlc.

    If that doesn't work, you can try apt install kali-linux-full. That should fix a broken install/missing dependencies, by reinstalling everything. Rather brutal approach, but should resolve the problem.

  4. #4
    Junior Member
    Join Date
    Sep 2016
    Posts
    12
    Thanks for the reply grid. I tried as you said but it didn't worked moreover i tried to install individually those warning packages which says: It is already a new version.
    If those packages are there than why it is throwing those warning message?

    I got the following output:
    Code:
    apt install kali-linux-full
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      ollydbg regripper sqldict wine
    Suggested packages:
      winbind winetricks playonlinux wine-binfmt dosbox
    The following NEW packages will be installed:
      kali-linux-full ollydbg regripper sqldict wine
    0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
    Need to get 5,949 kB/5,957 kB of archives.
    After this operation, 10.9 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 https://archive-3.kali.org/kali kali-rolling/main amd64 wine all 2.0.2-1 [125 kB]
    Get:2 https://archive-3.kali.org/kali kali-rolling/main amd64 ollydbg all 1.10-1kali0 [1,335 kB]
    Get:3 https://archive-3.kali.org/kali kali-rolling/main amd64 regripper amd64 2.5-1kali0 [4,424 kB]
    Get:4 https://archive-3.kali.org/kali kali-rolling/main amd64 sqldict all 2.1-1kali0 [65.2 kB]                                                                                                                    
    Fetched 5,949 kB in 6s (855 kB/s)                                                                                                                                                                                 
    Selecting previously unselected package wine.
    dpkg: warning: files list file for package 'libvlc5:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'phonon4qt5-backend-vlc:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlccore8:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-video-output:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlc-bin:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-base:amd64' missing; assuming package has no files currently installed
    (Reading database ... 459681 files and directories currently installed.)
    Preparing to unpack .../archives/wine_2.0.2-1_all.deb ...
    Unpacking wine (2.0.2-1) ...
    Selecting previously unselected package ollydbg.
    Preparing to unpack .../ollydbg_1.10-1kali0_all.deb ...
    Unpacking ollydbg (1.10-1kali0) ...
    Selecting previously unselected package regripper.
    Preparing to unpack .../regripper_2.5-1kali0_amd64.deb ...
    Unpacking regripper (2.5-1kali0) ...
    Selecting previously unselected package sqldict.
    Preparing to unpack .../sqldict_2.1-1kali0_all.deb ...
    Unpacking sqldict (2.1-1kali0) ...
    Selecting previously unselected package kali-linux-full.
    Preparing to unpack .../kali-linux-full_2017.2.0_amd64.deb ...
    Unpacking kali-linux-full (2017.2.0) ...
    Setting up wine (2.0.2-1) ...
    Processing triggers for man-db (2.7.6.1-2) ...
    Processing triggers for hicolor-icon-theme (0.15-1) ...
    Setting up ollydbg (1.10-1kali0) ...
    Setting up sqldict (2.1-1kali0) ...
    Setting up regripper (2.5-1kali0) ...
    Setting up kali-linux-full (2017.2.0) ...
    Processing triggers for wine (2.0.2-1) ...

    After that i did removing and reinstalling again vlc I got the same error message as above :

    Code:
    vlc
    
    vlc: error while loading shared libraries: libvlc.so.5: cannot open shared object file: No such file or directory
    I downloaded the deb file of vlc and tried installing it :

    Code:
    sudo dpkg -i  vlc_2.0.3-1-bpo60+1_amd64.deb
    
    
    dpkg: warning: downgrading vlc from 2.2.6-3+b1 to 2.0.3-1~bpo60+1
    dpkg: warning: files list file for package 'libvlc5:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'phonon4qt5-backend-vlc:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlccore8:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-video-output:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'libvlc-bin:amd64' missing; assuming package has no files currently installed
    dpkg: warning: files list file for package 'vlc-plugin-base:amd64' missing; assuming package has no files currently installed
    (Reading database ... 460053 files and directories currently installed.)
    Preparing to unpack vlc_2.0.3-1-bpo60+1_amd64.deb ...
    Unpacking vlc (2.0.3-1~bpo60+1) over (2.2.6-3+b1) ...
    dpkg: error processing archive vlc_2.0.3-1-bpo60+1_amd64.deb (--install):
     trying to overwrite '/usr/bin/svlc', which is also in package vlc-plugin-skins2:amd64 2.2.6-3+b1
    Processing triggers for mime-support (3.60) ...
    Processing triggers for menu (2.1.47+b1) ...
    Errors were encountered while processing:
     vlc_2.0.3-1-bpo60+1_amd64.deb

  5. #5
    Junior Member
    Join Date
    Sep 2016
    Posts
    12
    Thank for your patience and time grid . I successfully installed vlc by removing all its dependencies through synaptic package manager and installed it again through terminal .
    This time i didn't get any warning message as well as vlc is also successfully installed.
    Thank you

  6. #6
    Senior Member
    Join Date
    Apr 2013
    Location
    in a computer
    Posts
    652
    No problem, glad it's working for you

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •